-- MySQL dump 10.13  Distrib 8.0.12, for macos10.13 (x86_64)
--
-- Host: localhost    Database: celifinder
-- ------------------------------------------------------
-- Server version	8.0.12

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
 SET NAMES utf8mb4 ;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `comentario`
--

DROP TABLE IF EXISTS `comentario`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `comentario` (
  `id_comentario` int(11) NOT NULL AUTO_INCREMENT,
  `id_usuario` int(11) NOT NULL,
  `id_restaurante` int(11) NOT NULL,
  `descripcion` varchar(1023) DEFAULT NULL,
  `puntuacion` int(3) DEFAULT NULL,
  `fecha_alta` date DEFAULT NULL,
  PRIMARY KEY (`id_comentario`),
  KEY `id_usuario` (`id_usuario`),
  KEY `id_restaurante` (`id_restaurante`),
  CONSTRAINT `comentario_ibfk_1` FOREIGN KEY (`id_usuario`) REFERENCES `usuario` (`id_usuario`),
  CONSTRAINT `comentario_ibfk_2` FOREIGN KEY (`id_restaurante`) REFERENCES `restaurante` (`id_restaurante`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comentario`
--

LOCK TABLES `comentario` WRITE;
/*!40000 ALTER TABLE `comentario` DISABLE KEYS */;
INSERT INTO `comentario` VALUES (7,7,4,'Estuve con mi familia y la verdad es que nos gusto mucho, estuvieron muy atentos a explicarnos qué platos podíamos tomar y eran unos cuantoss',5,'2018-12-06'),(8,21,4,'Está bien, aunque realmente solo tiene los típicos platos de hamburguesería. Simple, pero no está mal de sabor',2,'2018-12-06'),(9,24,4,'Los entrantes están muy ricos pero los postres no los recomiendo. El lugar es bastante acogedor para familias y niños',3,'2018-12-06'),(14,3,4,'Me encanta este sitio!',4,'2018-12-06'),(16,3,4,'Genial!',5,'2018-12-06'),(17,6,4,'Genial para que me invite mi hermana!',5,'2018-12-06'),(18,6,3,'Genial!\n\n\n',3,'2018-12-07'),(21,31,3,'Muy amplio',5,'2018-12-11'),(22,31,5,'Muy buena comida!',5,'2018-12-11'),(24,37,5,'Estuvo bien',4,'2018-12-11');
/*!40000 ALTER TABLE `comentario` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `restaurante`
--

DROP TABLE IF EXISTS `restaurante`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `restaurante` (
  `id_restaurante` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(50) DEFAULT NULL,
  `direccion` varchar(255) DEFAULT NULL,
  `informacion` varchar(1023) DEFAULT NULL,
  `telefono` varchar(20) DEFAULT NULL,
  `correo` varchar(70) DEFAULT NULL,
  `web` varchar(255) DEFAULT NULL,
  `fecha_alta` date DEFAULT NULL,
  `fecha_actualizacion` date DEFAULT NULL,
  `coordenada_x` double DEFAULT NULL,
  `coordenada_y` double DEFAULT NULL,
  `foto_portada` varchar(255) DEFAULT NULL,
  `foto_icono` varchar(255) DEFAULT NULL,
  `puntuacion` int(3) DEFAULT NULL,
  `precio` int(4) DEFAULT NULL,
  `certificado_face` tinyint(1) DEFAULT NULL,
  `tapas` tinyint(1) DEFAULT NULL,
  `cerveza` tinyint(1) DEFAULT NULL,
  `porcentaje_gluten_free` int(3) DEFAULT NULL,
  `restaurante` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id_restaurante`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `restaurante`
--

LOCK TABLES `restaurante` WRITE;
/*!40000 ALTER TABLE `restaurante` DISABLE KEYS */;
INSERT INTO `restaurante` VALUES (3,'Caroba','Calle Dulzainero Ángel Velasco, 1','Todos los platos y las tapas que se ofrecen en el Caroba se cocinan SIN gluten, convirtiendo al Caroba en el primer restaurante apto para celíacos de Castilla y León que toda su carta esta libre de gluten. Un lugar donde cualquier ccelíaco pueda disfrutar de todos los alimentos, sin la necesidad de hacer una selección de la carta o sin el miedo a una posible contaminación cruzada de la comida. Podrá disfrutar de tapas de diseño en su barra y de platos como entrantes, arroces (su especialidad), carnes y pescados de gran calidad','983 371 382','restaurantecaroba@caroba.es','http://restaurantecaroba.es','2018-12-06','2018-12-06',41.6517383,-4.730909,'https://console.listae.com/files/2015/01/Slider_Restaurante-906x4211.jpg','https://listae.me/wp-content/uploads/2013/03/LOGO-RESTAURANTE-CAROBA-BUENA-RESOLUCION-1-625x271.jpg',4,3,1,1,1,100,1),(4,'NYC Hells Grill Restaurant','Calle Cascajares, 2','Se trata de una hamburguesería de estilo americano que tienen bastantes platos aptos para celíacos y tienen muy en cuenta la prevención de la contaminación cruzada. Ofrecen entrante aptos tales como nachos, patatas fritas con queso o ensaladas y como platos principales aptos hamburguesas(su especialidad), sandwiches o carnes. Además ofrecen una selección de postres deliciosos','983 300 924','reservas@hells.es','https://www.hells.es/','2018-12-06','2018-12-06',41.652248,-4.723804,'https://u.tfstatic.com/restaurant_photos/671/295671/169/612/nyc-hell-s-vista-sala-ac29f.jpg','https://hips.hearstapps.com/hmg-prod.s3.amazonaws.com/images/logo-nyc-hells-1541603090.jpg',3,2,1,0,1,70,1),(5,'Eh voila','Calle Marqués del Duero, 7','Es una crepería donde nos encontramos con gran cantidad de platos para celíacos, no solo crepes, sino entrantes como ensaladas, tartares o verduras asadas. Como platos principales aptos tiene una gran cantidad de crepes salados de todo tipo de cocinas del mundo así como quiches, pastas y raclettes. Para terminar ofrecen un conjunto postres aptos como crepes dulces, cookies o tartas.','983 25 93 69','reservas@ehvoila.es','https://ehvoila.es/','2018-12-06','2018-12-06',41.655109,-4.721398,'http://media.laguiago.com/wp-content/uploads/2018/09/B028Bbg.jpeg','https://u.tfstatic.com/restaurant_photos/014/8014/169/612/eh-voila-crepe-teriyaki-9837e.jpg',4,2,1,0,1,70,1),(6,'Niza','Calle Padilla, 10','Se trata de un restaurante italiano que ofrece una oferta para celíacos y cuida mucho la prevención de la contaminación cruzada. Al llegar se informa al camarero de ser celíaco y nos ponen una pegatina en la mesa para que todos los camareros sepan la intolerancia que tienes. Se puede degustar una variedad de platos italianos con influencia de otras cocinas mediterráneas','983 140 396','reservas@restauranteniza.es','http://restauranteniza.com/','2018-12-06','2018-12-06',41.656895,-4.721503,'https://t2.salir.ltmcdn.com/es/places/4/5/5/img_39554_restaurante-niza_0_600.jpg','http://restauranteniza.com/wp-content/uploads/2016/06/logo-white-300w.png',4,2,1,0,1,70,1),(7,'Brook SteakBurguer','Calle Padilla, 5','Una hamburguesería en la que se pueden disfrutar de entrantes aptos, tales como nachos o patatas y una selección de ha,burguesas, sandwiches o carnes. Muy recomendables los nachos como entrantes y los postres. Se debe informar al camarero de los platos que deben ser sin gluten sobre todo los entrantes, ya que ponen todos los entrantes a compartir sin gluten en el caso de que haya un celiaco en la mesa','983 40 80 04','marketing@brooksteakburguer.com','https://www.brooksteakburguer.com/','2018-12-06','2018-12-06',41.657257,-4.721677,'https://www.mundofranquicia.com/wp-content/uploads/2016/11/brook-steakburguer2.gif','https://www.portaldetuciudad.com/imagenes/2/empresas/Brook-Steakburguer_569995-1.jpg',4,2,1,0,1,75,1),(8,'La mafia se sienta a la mesa','Plaza de los Arces, 5','Restaurante italiano que, en su oferta apta para celíacos, tiene dos tipos de pasta diferentes, que se pueden combinar con diferentes salas o acompañamientos. También tiene rissotos y arroces aptos para celíacos. Por otra parte como entrantes, hay huevos rotos de diferentes tipos, ensaladas o Carpaccio y Padanna. Pizza, desafortunadamente, NO tienen sin gluten. Como postres GF tienen sorbete de limón, panacota, y algunos batidos y helados. Importante avisar de nuestra intolerancia al llegar','983 34 62 29','valladolid@lamafia.es','https://lamafia.es/valladolid/','2018-12-24','2018-12-24',41.654115,-4.727003,'https://lamafia.es/valladolid/wp-content/uploads/sites/48/2017/06/IMG_0028-1600x900.jpg','https://www.cordobamegusta.es/wp-content/uploads/2017/08/la-mafia-cordoba-logo-600x600.jpg',4,3,1,0,1,50,1),(9,'La Tasquita','Calle Caridad, 2','Bar de tapas que ofrece pinchos y tostas sin gluten, aunque no es muy amplia la variedad pero nos ofrece la posibilidad de tapear tomándonos un bocadito de solomillo piquillo o al roquefort sin gluten entre otras. ','983 35 13 51','info@la-tasquita.com','http://www.la-tasquita.com/','2018-12-24','2018-12-24',41.651539,-4.730271,'http://www.guiatapear.com/images/stories/bares/latasquita/latasquita1.jpg','http://www.guiatapear.com/images/stories/bares/latasquita/latasquita4.jpg',4,1,0,1,1,20,1),(10,'Las Vegas Route 66 Parquesol','Calle Amadeo Arias, 10','Bar de tapas, en el que debes indicar al llegar que eres celíaco, ya que, en ese caso, si pides alguna bebida, la tapa que te pongan será apta para celíacos. Además de la tapa que te ponen puedes pedir raciones como tigres o croquetas entre otros. Están muy concienciados con el cuidado que deben tener con los clientes celíacos. ','-','No hay información disponible','No hay información disponible','2018-12-24','2018-12-24',41.635642,-4.758419,'https://lh3.googleusercontent.com/p/AF1QipPn3mAL37VRUty6eBKLMYmJ95VdYU5Uv3BmfDAX=w600-k','https://fastly.4sqi.net/img/general/width960/142933551_GZLkTxLkko-IhXk1XhiE7l4Pffv66VdGLoKMY70Gpr0.jpg',4,1,0,1,1,70,0),(11,'Banzai','C/Recoletos 10, Madrid','Restaurante de comida japonesa que adapta su carta para que los celíacos puedan disfrutar de platos japoneses aptos para ellos. En su carta se indican los platos sin gluten, aunque también te dan la posibilidad de, previa petición del comensal, adaptar cualquier plato. También cuenta con postres y cerveza sin gluten','914 31 83 67','info@banzaisushi.es','https://banzaisushi.es/','2018-12-24','2018-12-24',40.421882,-3.690212,'https://cdn.atrapalo.com/common/photo/res/39014/0/ticr_890_370.jpg','https://madriddiferente.com/wp-content/uploads/2018/03/Rolls-variados-en-Banzai.jpg',3,3,0,0,1,85,1),(12,'Emma y Julia','Cava Baja, 19, Madrid','Restaurante italiano con amplia variedad para celíacos. Hay una carta exclusiva para celíacos que debes pedir al llegar. En ella se nos ofrecen 4 ensaladas, 6 anitipasti, 4 carpaccios, 4 pizzas, 9 pastas, 3 carnes y 5 postres. ','913 66 10 23','info@emmayjulia.com','https://www.emmayjulia.com','2018-12-24','2018-12-24',40.412537,-3.708948,'https://media.timeout.com/images/101568009/image.jpg','https://www.emmayjulia.com/wp-content/uploads/2018/09/Restaurante-Italiano-Pizzeria-Emma-y-Julia.png',4,3,0,0,1,80,1),(13,'Da Nicola','Plaza Mostenses, 11, Madrid','Restaurante italiano que tiene especial atención para las personas celíacas. Tienen una gran cantidad de pastas y pizzas de todo tipo, como por ejemplo spaguettis, lasagna fussilli o pizzas Marguerita, Calabresa, napolitana, Ranchera o con langostinos  all aglio y champiñon entre otras. También ofrece ensaladas, entrantes y verduras como aperitivos  ','91 542 25 74','-','http://www.danicola.es','2018-12-24','2018-12-24',40.422972,-3.708755,'https://www.guiadelocio.com/var/guiadelocio.com/storage/images/restaurantes/madrid/madrid/da-nicola-mostenses/galeria/restaurante-italiano-da-nicola-mostenses.-madrid/15060857-1-esl-ES/restaurante-italiano-da-nicola-mostenses.-madrid.jpg','http://www.danicola.es/img/local2-1.jpg',4,2,1,0,1,90,1),(14,'Okashi Sanda','Calle de San Vicente Ferrer, 22, Madrid','Se trata del primer restaurante japonés 100% sin gluten homologado tras pasar con éxito el protocolo de seguridad alimentaria de FACE. Por ello en este restaurante no se utilizan ningún producto que lleve o pueda llevar trazas de gluten ni tampoco de lácteos. Tienen todo tipos de platos japoneses tanto dulces como salados, para poder degustar la gastronomía nipona sin gluten','913654402','okashisanda@gmail.com','https://www.okashisanda.com','2018-12-24','2018-12-24',40.425754,-3.703271,'https://www.indisa.es/adjuntos/fichero_54233_20160708.jpg','https://www.guiadelocio.com/var/guiadelocio.com/storage/images/restaurantes/madrid/madrid/okashi-sanda/28404557-2-esl-ES/okashi-sanda.jpg',4,2,1,0,1,100,1),(15,'La Jauría','Calle de Colón, 10, Madrid',' Pequeño restaurante de tapas donde se ofrecen gran cantidad de tapas sin gluten tales como croquetas, burritos o huevos rotos entre otros. También tienen carnes y pescados como segundos y postres variados aptos para celíacos. El local es pequeño pero acogedor.','911 30 48 36','lajauria@lajauria.es','http://restaurantelajauria.com/','2018-12-24','2018-12-24',40.42388,-3.70117,'http://restaurantelajauria.com/wp-content/uploads/2016/03/galeria_restaurante2.jpg','https://2.bp.blogspot.com/-1w8KKI6OBMY/VSbYD3LcKbI/AAAAAAAFohk/XfQfrOz7aFA/s1600/restaurante%2Bla%2Bjauria.jpg',4,2,0,1,1,90,1),(16,'Celicioso','Calle de Hortaleza, 3, Madrid','Se trata de una pastelería sin gluten donde puedes tomar unas tapas saladas como unos sandwiches o unas tostas, como dulces pudiendo degustar tartas, milkshakes o cupcakes entre otros. Todo es 100% sin gluten y la cocina es muy innovadora. Están introduciendo cada vez más opciones sin lactosa, sin azúcar, orgánicas y veganas, siendo todas ellas opciones de cocina artesanal y casera.','915 31 88 87','info@celicioso.com','http://www.celicioso.com/','2018-12-24','2018-12-24',40.420429,-3.701016,'https://knowi.es/wp-content/uploads/2014/04/MG_5491-1000x640.jpg','https://morganalliance.com/files/noticia/7f1ad29c14a6f65c0bac6059f22638f0.jpg',4,2,1,1,1,100,1);
/*!40000 ALTER TABLE `restaurante` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `usuario`
--

DROP TABLE IF EXISTS `usuario`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
 SET character_set_client = utf8mb4 ;
CREATE TABLE `usuario` (
  `id_usuario` int(11) NOT NULL AUTO_INCREMENT,
  `nombre_usuario` varchar(30) DEFAULT NULL,
  `correo` varchar(30) DEFAULT NULL,
  `provincia` varchar(30) DEFAULT NULL,
  `fecha_alta` date DEFAULT NULL,
  `contrasena` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`id_usuario`)
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `usuario`
--

LOCK TABLES `usuario` WRITE;
/*!40000 ALTER TABLE `usuario` DISABLE KEYS */;
INSERT INTO `usuario` VALUES (3,'jorbelceb','jorbelceb@gmail.com','Valladolid','2018-11-18','65ba841e01d6db7733e90a5b7f9e6f80'),(4,'blendoiro','blanca1994tel@gmail.com','Valladolid','2018-11-18','564761a1d8f17066766d630009c84dd1'),(6,'Pepi','pepe@gmail.com','Valladolid','2018-11-18','74b87337454200d4d33f80c4663dc5e5'),(7,NULL,NULL,NULL,'2018-12-02',NULL),(8,NULL,NULL,NULL,'2018-12-02',NULL),(9,NULL,NULL,NULL,'2018-12-02',NULL),(10,NULL,NULL,NULL,'2018-12-02',NULL),(11,'','','','2018-12-02','45753b048517787f6f1c4506ae643acc'),(12,'sfdsfsd','dsfsf2@gmail.com','a','2018-12-02','0cc175b9c0f1b6a831c399e269772661'),(13,'qwqeqwe','asd@gmail.com','qweqwe','2018-12-02','099b3b060154898840f0ebdfb46ec78f'),(14,'safdasd','nuevo@gmail.com','daq','2018-12-02','47bce5c74f589f4867dbd57e9ca9f808'),(15,'pedrito','pedro@jcyl.com','Valladolid','2018-12-02','236d1336e98985dce3a625d46aebfd02'),(16,'pedrito','pedro@jcyl.com','Valladolid','2018-12-02','236d1336e98985dce3a625d46aebfd02'),(17,'ana','ana@gmail.com','Valladolid','2018-12-02','2fe04e524ba40505a82e03a2819429cc'),(18,'ana','ana@gmail.com','ana','2018-12-02','2fe04e524ba40505a82e03a2819429cc'),(19,'juan','juan@gmail.com','Málaga','2018-12-02','236d1336e98985dce3a625d46aebfd02'),(20,'jorge','jorge@gmail.com','MURCIA','2018-12-02','2fe04e524ba40505a82e03a2819429cc'),(21,'pablo','pablo@gmail.com','Madrid','2018-12-02','74b87337454200d4d33f80c4663dc5e5'),(22,'pabloaaa','pabloaa@gmail.com','Madrid','2018-12-02','74b87337454200d4d33f80c4663dc5e5'),(23,'maria','maria@gmail.com','Galicia','2018-12-02','f27f6f1c7c5cbf4e3e192e0a47b85300'),(24,'dori','dori@gmail.com','safdas','2018-12-02','bf083d4ab960620b645557217dd59a49'),(25,'susi','susi@gmail.com','Medina','2018-12-02','1869527750d62cd8712559eea9efd4cb'),(26,'David','david@gmail.com','Valladolid','2018-12-03','a16656a039d8b23731b3e933914f8bd7'),(27,'richard','ric@gmail.com','Manchester','2018-12-03','e47ca7a09cf6781e29634502345930a7'),(28,'isa','isa@gmail.com','madrid','2018-12-03','165a1761634db1e9bd304ea6f3ffcf2b'),(29,'ricardovl','ricardo@gmail.com','Valladolid','2018-12-09','c97829b352367ea5dd03fdaae85f7175'),(30,'ainhoaa','agarcia@outlook.com','Madrida','2018-12-10','4124bc0a9335c27f086f24ba207a4912'),(31,'blancalvu','blancalv@gmail.com','Ávila','2018-12-10','74b87337454200d4d33f80c4663dc5e5'),(32,'ana21','ana@gmail.com','Madrid','2018-12-10','4124bc0a9335c27f086f24ba207a4912'),(33,'asdfasd','a@gmail.com','vll','2018-12-10','4124bc0a9335c27f086f24ba207a4912'),(34,'isabel87','isabel@gmail.com','Valladolid','2018-12-10','61a60170273e74a5be90355ffe8e86ad'),(35,'marialen','marialen@gmail.com','Palmas, Las','2018-12-10','dde5ef11311b99667fcb675bfd4cb9c5'),(36,'anama','correo@gmail.com','Barcelona','2018-12-11','5f4dcc3b5aa765d61d8327deb882cf99'),(37,'anaGr','ana23@gmail.com','Barcelona','2018-12-11','a38acbd60e701eac578ec2caf5902261');
/*!40000 ALTER TABLE `usuario` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2018-12-24 11:18:12
