package com.cf.repository;

import java.util.List;

import javax.transaction.Transactional;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import com.cf.entity.CommentEntity;
import com.cf.entity.UserEntity;

@Repository
public interface CommentRepository extends JpaRepository<CommentEntity, Long> {

	@Query(value = "SELECT U FROM CommentEntity U WHERE"
			+ " U.restaurante.id_restaurante = ?1")
	List<CommentEntity> findCommentsByRestId(Long id_restaurante);
	
	  @Transactional
	  @Modifying
	  @Query(value = "insert into comentario (id_restaurante, id_usuario, descripcion, puntuacion, fecha_alta)"
	    + " VALUES (:id_restaurante,:id_usuario, :descripcion, :puntuacion, CURDATE())", nativeQuery = true)
	public void addComment(Long id_restaurante, Long id_usuario, String descripcion, Integer puntuacion);
	  
	  
	  @Transactional
	  @Modifying
	  @Query(value = "DELETE FROM comentario WHERE id_comentario = :id_comentario", nativeQuery = true)
	public void deleteComment(Long id_comentario);
	  
	  @Transactional
	  @Modifying
	  @Query(value = "UPDATE comentario t SET t.descripcion = :descripcion, "
		  		+ "t.puntuacion = :puntuacion WHERE t.id_comentario = :id_comentario", nativeQuery = true)
	public void updateComment(Long id_comentario, String descripcion, Integer puntuacion);
	
}