package com.cf.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import com.cf.entity.RestaurantEntity;
import com.cf.entity.UserEntity;

@Repository
public interface RestaurantRepository extends JpaRepository<RestaurantEntity, Long> {

	@Query(value = "SELECT U FROM RestaurantEntity U WHERE"
			+ " LOWER(U.nombre) LIKE LOWER(concat('%', ?1, '%'))")
	List findByNombre(String nombre);
	
	@Query(value = "SELECT U FROM RestaurantEntity U WHERE"
			+ " U.precio <= ?1")
	List findByPrecio(Integer precio);
	
	@Query(value = "SELECT U FROM RestaurantEntity U WHERE"
			+ " U.puntuacion >= ?1")
	List findByPuntuacion(Integer puntuacion);
	
	@Query(value = "SELECT U FROM RestaurantEntity U WHERE"
			+ " U.certificado_face = ?1")
	List findByCertificadoFace(Boolean certificado_face);
	
	@Query(value = "SELECT U FROM RestaurantEntity U WHERE"
			+ " U.tapas = ?1")
	List findByTapas(Boolean tapas);
	
	@Query(value = "SELECT U FROM RestaurantEntity U WHERE"
			+ " U.cerveza = ?1")
	List findByCerveza(Boolean cerveza);
	
	@Query(value = "SELECT U FROM RestaurantEntity U WHERE"
			+ " U.restaurante = ?1")
	List findByRestaurante(Boolean restaurante);
	
	@Query(value = "SELECT U FROM RestaurantEntity U WHERE"
		+ " U.porcentaje_gluten_free >= ?1")
	List findByPorcentaje_GF(Integer porcentaje_gluten_free);

}