package com.cf.repository;

import java.util.List;

import javax.transaction.Transactional;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import com.cf.entity.RestaurantEntity;
import com.cf.entity.UserEntity;

@Repository
public interface UserRepository extends JpaRepository<UserEntity, Long> {

	@Query(value = "SELECT U FROM UserEntity U WHERE"
			+ " U.nombre_usuario = ?1 AND U.contrasena = MD5(?2)")
	List<UserEntity> login(String usuario, String contrasena);
	
	  @Transactional
	  @Modifying
	  @Query(value = "insert into usuario (nombre_usuario, correo, provincia, fecha_alta, contrasena)"
	    + " VALUES (:nombre_usuario,:correo, :provincia, CURDATE(), MD5(:contrasena))", nativeQuery = true)
	public void addUser(String nombre_usuario, String correo, String provincia, String contrasena);
	  
	  @Transactional
	  @Modifying
	  @Query(value = "UPDATE usuario t SET t.nombre_usuario = :nombre_usuario, "
	  		+ "t.correo = :correo, t.provincia = :provincia WHERE t.id_usuario = :id", nativeQuery = true)
	public void updateUser(Long id, String nombre_usuario, String correo, String provincia);
	  
	  @Transactional
	  @Modifying
	  @Query(value = "UPDATE usuario t SET t.contrasena = MD5(:contrasena) "
	  		+ "WHERE t.id_usuario = :id", nativeQuery = true)
	public void changePassword(Long id, String contrasena);
	  
	
}